/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.search.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.search.entity.BenutzerSuchparameterConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(BenutzerSuchparameterMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class BenutzerSuchparameterMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "benutzerSuchparameterMeta";

  @Inject
  private transient Messages messages;

  public BenutzerSuchparameterMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBenutzerkennungEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_BENUTZERKENNUNG_EINZAHL;
  }

  public String getBenutzerkennungMehrzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_BENUTZERKENNUNG_MEHRZAHL;
  }


  public String getBenutzerkennungEinzahlMessage(){
    return getMessage(getBenutzerkennungEinzahlMessageKey());
  }

  public String getBenutzerkennungMehrzahlMessage(){
    return getMessage(getBenutzerkennungMehrzahlMessageKey());
  }



  public boolean isBenutzerkennungRequired() {
    return !BenutzerSuchparameterConstants.BENUTZERKENNUNG_NULLABLE;
  }

  public java.lang.String getBenutzerkennungDefaultValue() {
    return BenutzerSuchparameterConstants.BENUTZERKENNUNG_DEFAULT_VALUE;
  }

  public int getBenutzerkennungMaxLength() {
    return BenutzerSuchparameterConstants.BENUTZERKENNUNG_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !BenutzerSuchparameterConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return BenutzerSuchparameterConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return BenutzerSuchparameterConstants.NAME_MAX_LENGTH;
  }

  public String getSuchparameterEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_SUCHPARAMETER_EINZAHL;
  }

  public String getSuchparameterMehrzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_SUCHPARAMETER_MEHRZAHL;
  }


  public String getSuchparameterEinzahlMessage(){
    return getMessage(getSuchparameterEinzahlMessageKey());
  }

  public String getSuchparameterMehrzahlMessage(){
    return getMessage(getSuchparameterMehrzahlMessageKey());
  }



  public boolean isSuchparameterRequired() {
    return !BenutzerSuchparameterConstants.SUCHPARAMETER_NULLABLE;
  }

  public java.lang.String getSuchparameterDefaultValue() {
    return BenutzerSuchparameterConstants.SUCHPARAMETER_DEFAULT_VALUE;
  }

  public int getSuchparameterMaxLength() {
    return BenutzerSuchparameterConstants.SUCHPARAMETER_MAX_LENGTH;
  }

  public String getViewIdEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_VIEW_ID_EINZAHL;
  }

  public String getViewIdMehrzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_VIEW_ID_MEHRZAHL;
  }


  public String getViewIdEinzahlMessage(){
    return getMessage(getViewIdEinzahlMessageKey());
  }

  public String getViewIdMehrzahlMessage(){
    return getMessage(getViewIdMehrzahlMessageKey());
  }



  public boolean isViewIdRequired() {
    return !BenutzerSuchparameterConstants.VIEW_ID_NULLABLE;
  }

  public java.lang.String getViewIdDefaultValue() {
    return BenutzerSuchparameterConstants.VIEW_ID_DEFAULT_VALUE;
  }

  public int getViewIdMaxLength() {
    return BenutzerSuchparameterConstants.VIEW_ID_MAX_LENGTH;
  }


  public String getWahlterminEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_WAHLTERMIN_ID_EINZAHL;
  }

  public String getWahlterminEinzahlMessage(){
    return getMessage(getWahlterminEinzahlMessageKey());
  }

  public boolean isWahlterminRequired() {
    return !BenutzerSuchparameterConstants.WAHLTERMIN_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return BenutzerSuchparameterConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !BenutzerSuchparameterConstants.WAHL_ID_NULLABLE;
  }

}